Package net.shibboleth.idp.authn

# Class AuthnAuditFields

java.lang.Object
net.shibboleth.idp.authn.AuthnAuditFields

public final class AuthnAuditFields extends Object
Constants to use for audit logging fields stored in an `AuditContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHN_FLOW_ID`
Authentication flow ID field.
`static final String`
`AUTHN_RESULT`
Authentication results, either "Success" or any classified error results.
`static final String`
`CREDENTIAL_VALIDATOR`
Identifies the `CredentialValidator` used.
`static final String`
`DUO_CLIENT_ID`
Duo client/integration key/ID.
`static final String`
`DUO_DEVICE_ID`
Duo device ID.
`static final String`
`DUO_FACTOR`
Duo factor.
`static final String`
`REQ_PRINC`
Requested principal(s) field.
`static final String`
`REQ_PRINC_OP`
Requested principal(s) operator field.
`static final String`
`SSO`
SSO indicator signaling authentication was not "freshly" performed.
`static final String`
`TRANSFORMED_USERNAME`
A username after undergoing transformation for input to validation.
`static final String`
`X509_ISSUER`
X.509 cerificate subject.
`static final String`
`X509_SUBJECT`
X.509 cerificate subject.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AuthnAuditFields()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REQ_PRINC_OP

@Nonnull @NotEmpty public static final String REQ_PRINC_OP
Requested principal(s) operator field. @since 4.0.0

See Also:
  - Constant Field Values

### REQ_PRINC

@Nonnull @NotEmpty public static final String REQ_PRINC
Requested principal(s) field. @since 4.0.0

See Also:
  - Constant Field Values

### AUTHN_FLOW_ID

@Nonnull @NotEmpty public static final String AUTHN_FLOW_ID
Authentication flow ID field.

See Also:
  - Constant Field Values

### SSO

@Nonnull @NotEmpty public static final String SSO
SSO indicator signaling authentication was not "freshly" performed.

See Also:
  - Constant Field Values

### TRANSFORMED_USERNAME

@Nonnull @NotEmpty public static final String TRANSFORMED_USERNAME
A username after undergoing transformation for input to validation.

Since:
  4.3.0
See Also:
  - Constant Field Values

### CREDENTIAL_VALIDATOR

@Nonnull @NotEmpty public static final String CREDENTIAL_VALIDATOR
Identifies the `CredentialValidator` used.

Since:
  4.3.0
See Also:
  - Constant Field Values

### AUTHN_RESULT

@Nonnull @NotEmpty public static final String AUTHN_RESULT
Authentication results, either "Success" or any classified error results.

Since:
  4.3.0
See Also:
  - Constant Field Values

### X509_SUBJECT

@Nonnull @NotEmpty public static final String X509_SUBJECT
X.509 cerificate subject.

Since:
  4.3.0
See Also:
  - Constant Field Values

### X509_ISSUER

@Nonnull @NotEmpty public static final String X509_ISSUER
X.509 cerificate subject.

Since:
  4.3.0
See Also:
  - Constant Field Values

### DUO_CLIENT_ID

@Nonnull @NotEmpty public static final String DUO_CLIENT_ID
Duo client/integration key/ID.

Since:
  4.3.0
See Also:
  - Constant Field Values

### DUO_DEVICE_ID

@Nonnull @NotEmpty public static final String DUO_DEVICE_ID
Duo device ID.

Since:
  4.3.0
See Also:
  - Constant Field Values

### DUO_FACTOR

@Nonnull @NotEmpty public static final String DUO_FACTOR
Duo factor.

Since:
  4.3.0
See Also:
  - Constant Field Values

## Constructor Details

### AuthnAuditFields

private AuthnAuditFields()
Constructor.